#ifdef        GLOBALS_APP_DFLASH
    #define   EXTERN_APP_DFLASH
   
#else
    #define   EXTERN_APP_DFLASH     extern
#endif

#ifndef APP_DFLASH_H_
#define APP_DFLASH_H_

      
      EXTERN_APP_DFLASH        void         App_Read_EE_Memory(INT16U ReadAddr,INT8U *DestStr,INT16U len);
      EXTERN_APP_DFLASH        void         App_CopyRam(INT8U *Dp,INT8U *Sp,INT8U Nub);
      EXTERN_APP_DFLASH        void         App_ClrRam(INT8U *Sp,INT8U Nub);
      EXTERN_APP_DFLASH        INT8U        App_ComputeCheckSum(INT8U *p ,INT8U Nub);
      EXTERN_APP_DFLASH        void         App_Load_Data(void);
      EXTERN_APP_DFLASH        void         App_CalAccKmCan(void); 
      EXTERN_APP_DFLASH        void         App_ReadAccKm(void);
      EXTERN_APP_DFLASH        void         App_ClearAccStock(void);       
      EXTERN_APP_DFLASH        void         App_WriteAccReg(void);
      EXTERN_APP_DFLASH        void         App_CalAccKm(void); 
      
#endif /* APP_DFLASH_H_ */